// 'use strict';

/* Services */

var nonPlacesKey = '4JQdP2aqr4nLXLrUsILqii46doa0jsxPoFpUj2B8PCdkFZ1xeqfjav40UFemS2Ve';

// Development URL
//var apiBaseUrl = 'http://localhost:5000/api/v1';

// Single Server URL
// var apiBaseUrl = 'http://nonplacedb.cloudapp.net/api/v1';

// // Two Server URL
var apiBaseUrl = 'https://www.journeysandnotes.net/api/v1';

// Two Server URL, no SSL
// var apiBaseUrl = 'http://www.journeysandnotes.net/api/v1';

// Flurry API Key
// var flurryAPIKey = 'FZ9543NWD5W98M964H5Z';
var flurryAPIKey = 'T89RTYS9B8FH287NSYW6';


var appServices = angular.module('appServices', ['ngResource']);

/* A Person service */

appServices.factory('Person', ['$resource',
  function($resource){
    return $resource(apiBaseUrl+'/people/:personId?key=:key', {key: nonPlacesKey}, {});
  }]);


/* A Haikus Service */

appServices.factory('Haiku', ['$resource',
  function($resource){
    return $resource(apiBaseUrl+'/haikus?key=:key', {key: nonPlacesKey}, {
      get: {method:'GET', isArray:true}
    });
  }]);


/* A Modes Service */

appServices.factory('Mode', ['$resource',
  function($resource){
    return $resource(apiBaseUrl+'/modes?key=:key', {key: nonPlacesKey}, {});
  }]);

/* A Post Service */

appServices.factory('Post', ['$resource',
  function($resource){
    return $resource(apiBaseUrl+'/posts/:postId?key=:key', {key: nonPlacesKey}, {
        get: {method:'GET', isArray:true}
    });
  }]);

/* A Comment Service */

appServices.factory('Comment', ['$resource',
  function($resource){
    return $resource(apiBaseUrl+'/comments/:commentId?key=:key', {key: nonPlacesKey, commentId: '@commentId'}, {
      query: {method: 'GET', isArray: true},
      get: {method: 'GET', params:{commentId: '@commentId'}, isArray: false},
    });
  }]);


/* A Journey Service */

appServices.factory('Journey', ['$resource',
  function($resource){
    return $resource(apiBaseUrl+'/journeys/:journeyId?key=:key', {key: nonPlacesKey, journeyId: '@journeyId'}, {
      query: {method: 'GET', isArray: true},
      get: {method: 'GET', params:{journeyId: '@journeyId'}, isArray: false},
    });
  }]);


/* A service for the journey chekins */

appServices.factory('JourneyCheckin', ['$resource',
  function($resource){
    return $resource(apiBaseUrl+'/journeycheckins?key=:key', {key: nonPlacesKey}, {});
  }]);


/* A service for the Content Flags */

appServices.factory('ContentFlag', ['$resource',
  function($resource){
    return $resource(apiBaseUrl+'/contentflags?key=:key', {key: nonPlacesKey}, {});
  }]);


/* A service for the API keys */

appServices.factory('Keys', ['$resource',
  function($resource){
    return $resource(apiBaseUrl+'/keys?key=:key', {key: nonPlacesKey}, {});
  }]);
